<template>
    <div class="user">
        <p>{{user.name}}</p>
        <button type="button" class="btn delete btn-danger" v-on:click="handleDelete">Delete</button>
    </div>
</template>

<script>
export default {
    name: 'user',
    props: {
        user: {
            type: Object,
            default: null
        }
    },
    data: function() {
        return {

        }
        
    },
    methods: {
        handleDelete() {
            var data= {
                id: this.user.id
            }
            console.log('handDelete user.vue');
            this.$emit('deleteUser', data);
        }
    },
}
</script>